| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes

# HelloVTKForm::Form1 Class Reference

Collaboration diagram for HelloVTKForm::Form1:
[legend]

List of all members.

## Public Member Functions
| Form1 ()
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Private Member Functions
void | renderWindowControl1_Load (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable.
Kitware.VTK.RenderWindowControl | renderWindowControl1

## Constructor & Destructor Documentation

HelloVTKForm::Form1::Form1 | ( |  | ) | `[inline]`

## Member Function Documentation

void HelloVTKForm::Form1::renderWindowControl1_Load | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

override void HelloVTKForm::Form1::Dispose | ( | bool | disposing | ) | `[inline, protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

void HelloVTKForm::Form1::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

System.ComponentModel.IContainer HelloVTKForm::Form1::components = null`[private]`

Required designer variable.

Kitware.VTK.RenderWindowControl HelloVTKForm::Form1::renderWindowControl1`[private]`

The documentation for this class was generated from the following files:

- extensions/igplot3d/plot3d/vtkbased/Forms/testforms/VtkExample/Form1.cs
- Form1.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events